unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, NxEdit6;

type
  TForm1 = class(TForm)
    NxComboBox61: TNxComboBox6;
    ListBox1: TListBox;
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    procedure NxComboBox61Select(Sender: TObject);
    procedure NxComboBox61Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure NxComboBox61CloseUp(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  ListBox1.Clear;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  NxComboBox61.ItemIndex := 2;
end;

procedure TForm1.NxComboBox61Change(Sender: TObject);
begin
  ListBox1.Items.Add('OnChange');
end;

procedure TForm1.NxComboBox61CloseUp(Sender: TObject);
begin
  ListBox1.Items.Add('OnCloseUp');
end;

procedure TForm1.NxComboBox61Select(Sender: TObject);
begin
  ListBox1.Items.Add('OnSelect ItemIndex = ' + IntToStr(NxComboBox61.ItemIndex));
end;

end.
